import { PluginKey } from '@bangle.dev/pm';
import PropTypes from 'prop-types';
import React from 'react';
import type { HintPos } from './types';
interface ButtonProps {
    hint?: string;
    hintPos?: HintPos;
    children?: React.ReactNode;
}
export declare function BoldButton({ hint, hintPos, children, ...props }: ButtonProps): JSX.Element;
export declare function BlockquoteButton({ hint, hintPos, children, ...props }: ButtonProps): JSX.Element;
export declare function ItalicButton({ hint, hintPos, children, ...props }: ButtonProps): JSX.Element;
export declare function UndoButton({ hint, hintPos, children, ...props }: ButtonProps): JSX.Element;
export declare function RedoButton({ hint, hintPos, children, ...props }: ButtonProps): JSX.Element;
export declare function CodeButton({ hint, hintPos, children, ...props }: ButtonProps): JSX.Element;
export declare function BulletListButton({ hint, hintPos, children, ...props }: ButtonProps): JSX.Element;
export declare function OrderedListButton({ hint, hintPos, children, ...props }: ButtonProps): JSX.Element;
export declare function TodoListButton({ hint, hintPos, children, ...props }: ButtonProps): JSX.Element;
export declare function HeadingButton({ level, hint, hintPos, children, ...props }: ButtonProps & {
    level: number;
}): JSX.Element;
export declare namespace HeadingButton {
    var propTypes: {
        level: PropTypes.Validator<number>;
    };
}
export declare function ParagraphButton({ hint, hintPos, children, ...props }: ButtonProps): JSX.Element;
export declare function FloatingLinkButton({ hint, hintPos, children, menuKey, }: ButtonProps & {
    menuKey: PluginKey;
}): JSX.Element;
export declare namespace FloatingLinkButton {
    var propTypes: {
        menuKey: PropTypes.Validator<PluginKey<any, any>>;
    };
}
export {};
//# sourceMappingURL=MenuButtons.d.ts.map